Harmony IntegrationHarmony Integration

Zoek Adres

POST /api/data/SearchAddress

🏠 Zoek een Nederlands adres op via postcode en huisnummer om de adresvelden van een klant automatisch in te vullen.

  • 📮 Geef een geldige Nederlandse postalCode (bijv. 1234 AB) en een houseNumber op
  • ✅ Retourneert de volledige straatnaam, woonplaats en provincie — klaar om te gebruiken in CreateContract
POST
/api/data/SearchAddress

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

zipCode*string
Dutch postal code, e.g. 3066AA
houseNo*string
House number, e.g. 140

Response Body

application/json

application/json

curl -X POST "https://jubilee-ws.test.harmony.nl/api/data/SearchAddress" \  -H "Content-Type: application/json" \  -d '{    "zipCode": "3066AA",    "houseNo": "140"  }'
{
  "addressLine1": "",
  "addressLine2": "140",
  "addressLine3": "",
  "zipCode": "3066AA",
  "city": "",
  "countryCode": ""
}
{}